List partner business referrals
Lists the businesses the authenticated user referred onto Whop, most recent first.
Authorizations
A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
Headers
Pins the request to a dated API version.
"2026-07-08-1"
Query Parameters
Filter by referral status.
active, removed When true, only businesses with pending or completed earnings paid to the caller.
Number of business referrals to return from the start of the window.
x <= 100Cursor to fetch the page after (from page_info.end_cursor).
Number of business referrals to return from the end of the window.
x <= 100Cursor to fetch the page before (from page_info.start_cursor).
The field to sort business referrals by.
created_at, referral_started_at, referral_expires_at, payout_percentage, volume_usd, earnings_usd Sort direction.
asc, desc Only return business referrals created before this timestamp.
Only return business referrals created after this timestamp.
Filter to referrals attributed to this user. For first-tier referrals, this is the referred account owner; for second-tier referrals, this is the partner you recruited.
Filter by the referred user's exact username. Ignored when referred_user_id is present.
Filter to only first-tier referrals or only second-tier referrals.
first, second 
